# FoundationClasses
TKMath
TColgp

# TColgp_HArray1OfPnt2d Class Reference

`#include <TColgp_HArray1OfPnt2d.hxx>`

Inheritance diagram for TColgp_HArray1OfPnt2d:

[legend]

## Public Member Functions

Standard_EXPORT | TColgp_HArray1OfPnt2d (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | TColgp_HArray1OfPnt2d (const Standard_Integer Low, const Standard_Integer Up, const gp_Pnt2d &V)
Standard_EXPORT void | Init (const gp_Pnt2d &V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const gp_Pnt2d &Value)
const gp_Pnt2d & | Value (const Standard_Integer Index) const
gp_Pnt2d & | ChangeValue (const Standard_Integer Index)
const TColgp_Array1OfPnt2d & | Array1 () const
TColgp_Array1OfPnt2d & | ChangeArray1 ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

TColgp_Array1OfPnt2d | myArray

## Constructor & Destructor Documentation

Standard_EXPORT TColgp_HArray1OfPnt2d::TColgp_HArray1OfPnt2d | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT TColgp_HArray1OfPnt2d::TColgp_HArray1OfPnt2d | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const gp_Pnt2d & | V
| ) |

## Member Function Documentation

const TColgp_Array1OfPnt2d& TColgp_HArray1OfPnt2d::Array1 | ( |  | ) | const

TColgp_Array1OfPnt2d& TColgp_HArray1OfPnt2d::ChangeArray1 | ( |  | ) |

gp_Pnt2d& TColgp_HArray1OfPnt2d::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT const TColgp_HArray1OfPnt2d::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from MMgt_TShared.

Standard_EXPORT void TColgp_HArray1OfPnt2d::Init | ( | const gp_Pnt2d & | V | ) |

Standard_Integer TColgp_HArray1OfPnt2d::Length | ( |  | ) | const

Standard_Integer TColgp_HArray1OfPnt2d::Lower | ( |  | ) | const

void TColgp_HArray1OfPnt2d::SetValue | ( | const Standard_Integer | Index,
|  | const gp_Pnt2d & | Value
| ) |

Standard_Integer TColgp_HArray1OfPnt2d::Upper | ( |  | ) | const

const gp_Pnt2d& TColgp_HArray1OfPnt2d::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

TColgp_Array1OfPnt2d TColgp_HArray1OfPnt2d::myArray `[private]`

The documentation for this class was generated from the following file:

- TColgp_HArray1OfPnt2d.hxx